-- #105
CREATE TABLE creditcheckagencypayment (
     creditcheckagencyconfigid integer  not null
,    paymentmethodid      integer  not null

,   constraint pk_creditcheckagencypayment      primary key (creditcheckagencyconfigid,paymentmethodid)
,   constraint fk_creditcheckagencypayment_cr   foreign key (creditcheckagencyconfigid)
        references creditcheckagencyconfig          (creditcheckagencyconfigid)
,   constraint fk_creditcheckagencypayment_pa   foreign key (paymentmethodid)
        references paymentmethod                    (paymentmethodid)
)
GO
CREATE INDEX i_ccagencypayment_pmid ON creditcheckagencypayment (paymentmethodid)
GO
