-- #101
CREATE TABLE dhlproductlist (
    dhlproductlistid     int           not null
,   productid            varchar(255)  not null
,   supplier             varchar(255)  null
,   displayname          varchar(255)  null
,   displaytext          text          null
,   pictureurl           varchar(255)  null
,   validfrom            datetime      null
,   validto              datetime      null
,   weightkgmin          float         null
,   weightkgmax          float         null
,   lengthcmmin          float         null
,   lengthcmmax          float         null
,   widthcmmin           float         null
,   widthcmmax           float         null
,   heightcmmin          float         null
,   heightcmmax          float         null
,   lengthwidthheightcmmin float         null
,   lengthwidthheightcmmax float         null
,   url                  varchar(255)  null
,   tos                  varchar(255)  null
,   printadvice          varchar(255)  null

,   constraint pk_dhlproductlistid              primary key (dhlproductlistid)
)
GO
CREATE INDEX i_weightkgmin ON dhlproductlist (weightkgmin)
GO
CREATE INDEX i_weightkgmax ON dhlproductlist (weightkgmax)
GO
CREATE INDEX i_lengthcmmin ON dhlproductlist (lengthcmmin)
GO
CREATE INDEX i_lengthcmmax ON dhlproductlist (lengthcmmax)
GO
CREATE INDEX i_widthcmmin ON dhlproductlist (widthcmmin)
GO
CREATE INDEX i_widthcmmax ON dhlproductlist (widthcmmax)
GO
CREATE INDEX i_heightcmmin ON dhlproductlist (heightcmmin)
GO
CREATE INDEX i_heightcmmax ON dhlproductlist (heightcmmax)
GO
CREATE INDEX i_lengthwidthheightcmmin ON dhlproductlist (lengthwidthheightcmmin)
GO
CREATE INDEX i_lengthwidthheightcmmax ON dhlproductlist (lengthwidthheightcmmax)
GO
CREATE INDEX i_validfrom ON dhlproductlist (validfrom)
GO
CREATE INDEX i_validto ON dhlproductlist (validto)
GO
CREATE INDEX i_productid ON dhlproductlist (productid)
GO
