/*!
 * @copyright		© Copyright 2006-2010, epages GmbH, All Rights Reserved.
 *
 * @module			de_epages.core
 *
 * @revision		$Revision: 1.2.2.2 $
 */

jQuery.plugin( 'de_epages.core', 'ep.core', function( $, undefined ){

	var de_epages = ep.subclass();

	$.extend(de_epages,{
		// similar to $.extend; if only 1 hash in arguments de_epages will extend with this hash
		extend: function() {
			return $.extend.apply( this, arguments );
		},
		// similar to $.mixin; if only 1 hash in arguments de_epages will mixin with this hash
		mixin: function() {
			return $.mixin.apply( this, arguments );
		}
	});

	// Expose ep to the global object
	window.de_epages = de_epages;

});