/*
 * @copyright		© Copyright 2006-2010, epages GmbH, All Rights Reserved.
 *
 * @module			ep.dict
 *
 * @revision		$Revision: 1.2.2.4 $
 */

jQuery.plugin( 'ep.dict', {
	plugin:	['ep.core', 'jQuery.dict', 'jQuery.tmpl'],
	dict:	['ep.dict']
}, function( $, undefined ){

	$.each( ['translate', 'parse'], function( i, name ){
		$.Dictionary.prototype[ name + 'Data' ] = function( key, data ){
			return $.tmpl( '<span>' + this[ name ](key) + '</span>', [data] ).html();
		};
	});

	// set ep.dict as alias of $.dict
	ep.extend({
		dict: $.dict
	});
});