-- #103
CREATE TABLE creditcheckproviderconfig (
     creditcheckproviderconfigid integer  not null
,    creditcheckproviderid integer  not null
,    noextraconfirmation  bool  not null

,   constraint pk_creditcheckproviderconfig     primary key (creditcheckproviderconfigid)
,   constraint fk_creditcheckproviderconfig_o   foreign key (creditcheckproviderconfigid)
        references object                           (objectid)
,   constraint fk_creditcheckproviderconfig_c   foreign key (creditcheckproviderid)
        references creditcheckprovider              (creditcheckproviderid)
)
GO
CREATE INDEX i_creditcheckprovider_provider ON creditcheckproviderconfig (creditcheckproviderid)
GO
