-- #101
CREATE TABLE dhlproductlist (
    dhlproductlistid     int           not null
,   productid            varchar(255)  not null
,   supplier             varchar(255)  null
,   displayname          varchar(255)  null
,   displaytext          text          null
,   pictureurl           varchar(255)  null
,   validfrom            datetime      null
,   validto              datetime      null
,   weightkgmin          float         null
,   weightkgmax          float         null
,   lengthcmmin          float         null
,   lengthcmmax          float         null
,   widthcmmin           float         null
,   widthcmmax           float         null
,   heightcmmin          float         null
,   heightcmmax          float         null
,   lengthwidthheightcmmin float         null
,   lengthwidthheightcmmax float         null
,   url                  varchar(255)  null
,   tos                  varchar(255)  null
,   printadvice          varchar(255)  null

,   constraint pk_dhlproductlistid              primary key (dhlproductlistid)
)
GO
CREATE INDEX i_weightkgmax ON dhlproductlist (weightkgmax)
GO
CREATE INDEX i_productid ON dhlproductlist (productid)
GO
