/*
	Copyright (c) 2006-2007, ePages GmbH
	All Rights Reserved.

	epages.cartridges.de_epages.design.widget.Toolsimpleinput $Revision: 1.20 $

*/

dojo.provide("epages.cartridges.de_epages.design.widget.Toolsimpleinput");

dojo.require("epages.widget.LocalizedWidget");
dojo.require("epages.widget.Validateinput");

dojo.declare(
	"epages.cartridges.de_epages.design.widget.Toolsimpleinput",
	[epages.widget.LocalizedWidget, dijit._Container, dijit._Contained],
	{
		/**
		 * public properties
		 */
		label           : '',
		value           : '',
		inputType       : '',
		objectId        : '',
		lockLevel       : '', /* locklevel > 0 => attribute locked */
		validationType  : '',
		inputCssClass		: '',
		settings        : '',
		inputId         : '',
		customId        : true,
		/**
		 * widget properties
		 */
		templatePath    : dojo.moduleUrl('epages.cartridges.de_epages.design.widget' , 'templates/Toolsimpleinput.html'),
		translationName : dojo.moduleUrl('epages.cartridges.de_epages.design.widget' , 'templates/translation'),
		imagePath       : epages.themeUrl('images'),
		widgetsInTemplate : true,

		postMixInProperties: function(){
			this.inherited("postMixInProperties", arguments);
			if(this.customId){
				this.inputId = this.inputType;
			}
		},

		// override
		postCreate  : function() {
			// summary: initalize widget
			// description: show lock icon and disable input field if locklevel is passed
			this.inherited("postCreate", arguments);
			if(this.lockLevel == '1' || this.lockLevel == '2') {
					this.inputWidget.domNode.disabled=true;
					this.domNode.className+=" disabled";
			}
		}
	});
