-- #103
CREATE TABLE styleheaderimagemap (
     styleheaderimagemapid integer  not null AUTO_INCREMENT
,    stylegroupid         integer  null
,    styleheaderimageid   integer  null
,    position             integer  null

,   constraint pk_styleheaderimagemap           primary key (styleheaderimagemapid)
,   constraint fk_styleheaderimagemap_stylehe   foreign key (styleheaderimageid)
        references styleheaderimage                 (styleheaderimageid)
,   constraint fk_styleheaderimagemap_stylegr   foreign key (stylegroupid)
        references stylegroup                       (stylegroupid)
)
GO
CREATE UNIQUE INDEX i_stylegroup ON styleheaderimagemap (stylegroupid, styleheaderimageid)
GO
CREATE INDEX i_styleheaderimage ON styleheaderimagemap (styleheaderimageid)
GO
