IF OBJECT_ID('i_LineItemShippingFFOptChoice') IS NOT NULL
    DROP PROCEDURE i_LineItemShippingFFOptChoice
GO
CREATE PROCEDURE i_LineItemShippingFFOptChoice (
    @LineItemShippingFFOptChoiceID int          
,   @ShippingFulfillmentOptionID int          
) AS BEGIN
    DECLARE @TransactionCount int
    SELECT @TransactionCount = @@trancount

    IF @TransactionCount > 0 SAVE  TRANSACTION ti_lineitemshippingffoptchoice
    ELSE                     BEGIN TRANSACTION ti_lineitemshippingffoptchoice

        INSERT INTO lineitemshippingffoptchoice
               ( lineitemshippingffoptchoiceid, shippingfulfillmentoptionid)
        SELECT  @LineItemShippingFFOptChoiceID,@ShippingFulfillmentOptionID

        IF NOT @@transtate IN (0, 1)
        BEGIN
            ROLLBACK TRANSACTION ti_lineitemshippingffoptchoice
            RETURN 1
        END

    IF @TransactionCount = 0
        COMMIT TRANSACTION ti_lineitemshippingffoptchoice
    RETURN 0
END
GO
