-- #103
CREATE TABLE meinpaketproductimagemap (
    meinpaketproductimagemapid int           not null
,   meinpaketofferid     int           not null
,   productid            int           not null
,   filename             varchar(255)  not null

,   constraint pk_meinpaketproductimagemap      primary key (meinpaketproductimagemapid)
,   constraint fk_meinpaketproductimagemap_me   foreign key (meinpaketofferid)
        references meinpaketoffer                   (meinpaketofferid)
,   constraint fk_meinpaketproductimagemap_pr   foreign key (productid)
        references product                          (productid)
)
GO
CREATE INDEX i_meinpaketofferid ON meinpaketproductimagemap (meinpaketofferid)
GO
CREATE INDEX i_productid ON meinpaketproductimagemap (productid)
GO
