-- #102
CREATE TABLE meinpaketcustomermap (
     meinpaketcustomermapid integer  not null AUTO_INCREMENT
,    customerid           integer  not null
,    portalsiteid         integer  null
,    meinpaketcustomerno  varchar(100)  not null

,   constraint pk_meinpaketcustomermap          primary key (meinpaketcustomermapid)
,   constraint fk_meinpaketcustomermap_custom   foreign key (customerid)
        references customer                         (customerid)
,   constraint fk_meinpaketcustomermap_portal   foreign key (portalsiteid)
        references portalsite                       (portalsiteid)
)
GO
CREATE INDEX i_meinpaketcustomerno ON meinpaketcustomermap (meinpaketcustomerno)
GO
CREATE UNIQUE INDEX u_customerid ON meinpaketcustomermap (customerid)
GO
CREATE INDEX i_portalsiteid ON meinpaketcustomermap (portalsiteid)
GO
