-- #202
CREATE TABLE affiliatecategorymap (
    affiliatecategorymapid int           not null
,   affiliatecategoryid  int           not null
,   subshopcategoryid    int           null
,   subshopid            int           not null

,   constraint pk_affiliatecategorymap          primary key (affiliatecategorymapid)
,   constraint fk_affiliatecategorymap_conten   foreign key (affiliatecategoryid)
        references contentobject                    (contentobjectid)
,   constraint fk_affiliatecategorymap_con_1    foreign key (subshopcategoryid)
        references contentobject                    (contentobjectid)
,   constraint fk_affiliatecategorymap_shop     foreign key (subshopid)
        references shop                             (shopid)
)
GO
CREATE INDEX i_affiliatecategoryid ON affiliatecategorymap (affiliatecategoryid)
GO
CREATE INDEX i_subshopid ON affiliatecategorymap (subshopid)
GO
CREATE INDEX i_subshopcategoryid ON affiliatecategorymap (subshopcategoryid)
GO
