IF OBJECT_ID('n_AffiliateVisibilityMap') IS NOT NULL
    DROP PROCEDURE n_AffiliateVisibilityMap
GO
CREATE PROCEDURE n_AffiliateVisibilityMap AS BEGIN
    declare @AffiliateVisibilityMapID int
    declare @RowCounter int

    while (@AffiliateVisibilityMapID IS NULL) begin
        update affiliatevisibilitymap_nextid set id = id + 1, @AffiliateVisibilityMapID = id + 1
        select @RowCounter = @@rowcount
        if (@RowCounter = 0) BEGIN
            insert affiliatevisibilitymap_nextid (id) values (1)
            select @AffiliateVisibilityMapID = 1
        end
        if (@RowCounter > 1) BEGIN
            delete affiliatevisibilitymap_nextid
            insert affiliatevisibilitymap_nextid (id) values (1)
            select @AffiliateVisibilityMapID = 1
        end
        if exists ( select affiliatevisibilitymapid from affiliatevisibilitymap where affiliatevisibilitymapid = @AffiliateVisibilityMapID)
            select @AffiliateVisibilityMapID = null
    end

    SELECT @AffiliateVisibilityMapID
    RETURN 0
END
GO
