-- #104
CREATE TABLE newsletterrecipient (
    newsletterrecipientid int           not null
,   newsletterid         int           not null
,   wassent              bit           not null
,   name                 nvarchar(255)  not null
,   email                varchar(255)  not null
,   sentdate             datetime      null
,   result               tinyint       null

,   constraint pk_newsletterrecipient           primary key (newsletterrecipientid)
,   constraint fk_newsletterrecipient_newslet   foreign key (newsletterid)
        references newsletter                       (newsletterid)
)
GO
CREATE INDEX i_recipient_newsletter ON newsletterrecipient (newsletterid)
GO
