-- #103
CREATE TABLE newsletter (
     newsletterid         integer  not null
,    newslettercampaignid integer  not null
,    ishtml               bool  not null
,    name                 varchar(255)  not null
,    subject              varchar(255)  null
,    sendername           varchar(255)  null
,    senderemail          varchar(255)  null
,    scheduledate         datetime  null
,    sentdate             datetime  null
,    status               tinyint  not null
,    deliveryinprogress   bool  not null

,   constraint pk_newsletter                    primary key (newsletterid)
,   constraint fk_newsletter_object             foreign key (newsletterid)
        references object                           (objectid)
,   constraint fk_newsletter_newslettercampai   foreign key (newslettercampaignid)
        references newslettercampaign               (newslettercampaignid)
)
GO
CREATE INDEX i_newsletter_campaign ON newsletter (newslettercampaignid)
GO
CREATE INDEX i_newsletter_status ON newsletter (status)
GO
