-- #103
CREATE TABLE newsletteraddressee (
     newsletteraddresseeid integer  not null AUTO_INCREMENT
,    newslettercampaignid integer  not null
,    unsubscribed         tinyint  not null
,    userid               integer  null
,    name                 varchar(255)  not null
,    email                varchar(255)  not null
,    subscribedincheckout bool  not null

,   constraint pk_newsletteraddressee           primary key (newsletteraddresseeid)
,   constraint fk_newsletteraddressee_newslet   foreign key (newslettercampaignid)
        references newslettercampaign               (newslettercampaignid)
,   constraint fk_newsletteraddressee_users     foreign key (userid)
        references users                            (userid)
)
GO
CREATE INDEX i_addressee_campaign ON newsletteraddressee (newslettercampaignid, unsubscribed)
GO
CREATE INDEX i_addressee_user ON newsletteraddressee (userid)
GO
CREATE INDEX i_addressee_email ON newsletteraddressee (email, newslettercampaignid)
GO
