IF OBJECT_ID('n_NewsletterRecipient') IS NOT NULL
    DROP PROCEDURE n_NewsletterRecipient
GO
CREATE PROCEDURE n_NewsletterRecipient AS BEGIN
    declare @NewsletterRecipientID int
    declare @RowCounter int

    while (@NewsletterRecipientID IS NULL) begin
        update newsletterrecipient_nextid set id = id + 1, @NewsletterRecipientID = id + 1
        select @RowCounter = @@rowcount
        if (@RowCounter = 0) BEGIN
            insert newsletterrecipient_nextid (id) values (1)
            select @NewsletterRecipientID = 1
        end
        if (@RowCounter > 1) BEGIN
            delete newsletterrecipient_nextid
            insert newsletterrecipient_nextid (id) values (1)
            select @NewsletterRecipientID = 1
        end
        if exists ( select newsletterrecipientid from newsletterrecipient where newsletterrecipientid = @NewsletterRecipientID)
            select @NewsletterRecipientID = null
    end

    SELECT @NewsletterRecipientID
    RETURN 0
END
GO
