-- #203
CREATE TABLE attribute (
     attributeid          integer  not null
,    attributeclassid     integer  not null
,    type                 varchar(30)  not null
,    length               integer  null
,    package              varchar(255)  not null
,    isarray              bool  not null
,    isreadonly           bool  not null
,    isexportable         bool  not null
,    iscacheable          bool  not null
,    isobject             bool  not null
,    ismandatory          bool  not null
,    isuserdefined        bool  not null
,    ishtml               bool  not null
,    isvisible            bool  not null
,    exportlevel          varchar(255)  null
,    defaultvalue         varchar(255)  null

,   constraint pk_attribute                     primary key (attributeid)
,   constraint fk_attribute_object              foreign key (attributeid)
        references object                           (objectid)
,   constraint fk_attribute_class               foreign key (attributeclassid)
        references class                            (classid)
)
GO
CREATE INDEX i_attributeclass ON attribute (attributeclassid)
GO
