-- #502
CREATE TABLE pagetype (
    pagetypeid           int           not null
,   pagetypeclassid      int           not null
,   basepagetypeid       int           null
,   viewactionid         int           null

,   constraint pk_pagetype                      primary key (pagetypeid)
,   constraint fk_pagetype_basepagetype         foreign key (basepagetypeid)
        references pagetype                         (pagetypeid)
,   constraint fk_pagetype_viewaction           foreign key (viewactionid)
        references viewaction                       (viewactionid)
,   constraint fk_pagetype_class                foreign key (pagetypeclassid)
        references class                            (classid)
,   constraint fk_pagetype_object               foreign key (pagetypeid)
        references object                           (objectid)
)
GO
CREATE INDEX i_pagetype_base ON pagetype (basepagetypeid)
GO
CREATE INDEX i_pagetype_class ON pagetype (pagetypeclassid)
GO
CREATE INDEX i_pagetype_viewaction ON pagetype (viewactionid)
GO
