-- #103
CREATE TABLE portalsite (
    portalsiteid         int           not null
,   portalid             int           not null
,   registerurl          varchar(255)  null
,   adminurl             varchar(255)  null
,   portalurl            varchar(255)  null
,   taxmodel             int           null
,   ftpserver            varchar(255)  null
,   ftpport              int           null
,   exportsshippingprice bit           not null
,   email                varchar(255)  null
,   phone                varchar(255)  null
,   reviewurl            varchar(511)  null
,   localname            varchar(255)  null
,   exportsdownloadproducts bit           not null
,   ignorelastmerchantlogin bit           not null

,   constraint pk_portalsite                    primary key (portalsiteid)
,   constraint fk_portalsite_portal             foreign key (portalid)
        references portal                           (portalid)
,   constraint fk_portalsite_sitelocale         foreign key (portalsiteid)
        references sitelocale                       (sitelocaleid)
)
GO
CREATE INDEX i_portalsite_locale ON portalsite (portalid)
GO
