#-----BEGIN PGP SIGNATURE-----
#Version: GnuPG v1.2.6 (GNU/Linux)
#Comment: 2008-11-24 ePages Software GmbH (release key) <rnd@epages.de>
#
#iD8DBQBOHbi/l5jMabHSgyARAq1AAKCYiWLkr+UbMcBiNbpu3s/P1eaC6QCgyvZg
#S+a2a8ZRmoJrWteRTEZWzCY=
#=xVuR
#-----END PGP SIGNATURE-----
#line 1
use strict;
#use SOAP::Lite +trace => 'debug',
use SOAP::Lite
  on_fault => sub {
    my $soap = shift;
    my $res = shift;
    ref $res ? die "SOAP FAULT: " . $res->faultstring . "\n" 
             : die "TRANSPORT ERROR: " . $soap->transport->status . "\n";
    return $res;
  },
;

my $soap = SOAP::Lite
    ->uri('urn://epages.de/WebService/ObjectService/2004/04')
    ->proxy('http://localhost:8080/epages/Site.soap?ObjectID=1');

my $ping = $soap->ping->result;
print "ping=$ping\n";

my $pathString = $soap->pathString( 1 )->result;
print "pathString=$pathString\n";
