@echo off

rem -------------------------------------------------------------------------
rem
rem  Function      :       wraps scheduler script
rem
rem  Project       :       epages 6
rem
rem  Copyright     :       epages Software GmbH 2009
rem
rem  Version       :       Thu Aug 27 14:45:45 2009
rem
rem -------------------------------------------------------------------------

rem #########################################################################
rem  environment
rem #########################################################################

if "%1" == "" goto USAGE
set RUN_SCRIPT=%1


rem #########################################################################
rem  debugging
rem #########################################################################

set TIMESTAMP=%DATE%-%TIME:~0,2%.%TIME:~3,2%
set DEBUG_CRON=
set CODE="print Config::IniFiles->new(-file=>$ENV{EPAGES_CONFIG}.'/Scheduler.conf')->val($ENV{RUN_SCRIPT},'Debug')"
for /F "delims=" %%i in ('perl -MConfig::IniFiles -e %CODE%') do set DEBUG_CRON=%%i

if not "%DEBUG_CRON%" == "1" set DEBUG_CRON=
if "%DEBUG_CRON%" == "1" set DEBUG_CRON=%EPAGES_LOG%\Scheduler\%RUN_SCRIPT%-%TIMESTAMP%.debug

rem #########################################################################
rem  perl script
rem #########################################################################

set PERL=%EPAGES_PERL%\bin\perl.exe
set WRAP_SCRIPT=%EPAGES%/bin/wrapScheduler.PL

%PERL% %WRAP_SCRIPT% %RUN_SCRIPT%
goto END

rem #########################################################################
rem :USAGE
rem #########################################################################

:USAGE
echo Usage: %0 SCRIPT_NAME
echo SCRIPT_NAME: section name in %EPAGES_CONFIG%\Scheduler.conf

rem #########################################################################
rem :END
rem #########################################################################

:END
