#!/bin/env bash

# add ep_appl and eprunapp to group mysql
for i in ep_appl ${EPAGES_APPUSER:-eprunapp} ; do
  grep -q '^mysql:' /etc/group || continue
  MEMBERS=$(awk -F: '{if ($1 == "mysql") {print $4; exit 0}}' /etc/group)
  MEMBERS=${MEMBERS:+$MEMBERS,}
  if [[ ",$MEMBERS" !=  *",$i,"* ]] ; then
    echo "-> add $i to group mysql"
    cp -p /etc/group /etc/group.~$$~ || exit 1
    sed "s/^\(mysql:.*:\).*/\1$MEMBERS$i/" /etc/group.~$$~ > /etc/group || exit 1
  fi
done
rm -f /etc/group.~$$~

# add mysql to group epages
grep -q '^epages:' /etc/group || exit 0
MEMBERS=$(awk -F: '{if ($1 == "epages") {print $4; exit 0}}' /etc/group)
MEMBERS=${MEMBERS:+$MEMBERS,}
if [[ ",$MEMBERS" !=  *",mysql,"* ]] ; then
  echo "-> add mysql to group epages"
  cp -p /etc/group /etc/group.~$$~ || exit 1
  sed "s/^\(epages:.*:\).*/\1${MEMBERS}mysql/" /etc/group.~$$~ > /etc/group || exit 1
fi
rm -f /etc/group.~$$~
