/*
 * @copyright		© Copyright 2006-2010, epages GmbH, All Rights Reserved.
 *
 * @module			ep.epk
 *
 * @revision		$Revision: 1.1.2.1 $
 */

jQuery.plugin( 'ep.epk', window.epkStack, function( $, undefined ){
	// start metaparse instantly on DOM ready
	$.ready(function(){
		if( ep.config.autoMetaparse ){
			$('.ep-metaparse').metaparse();
		}
		else{
			$('.ep-metaparse').each(function(){
				var elem = $(this);
				elem.attr( 'class', elem.attr('class').replace(/([^\s]+\(.*\))/,'') );
			});
		}
	});
});