-- #104
CREATE TABLE shippingmethodcustomergroup (
     shippingmethodid     integer  not null
,    customergroupid      integer  not null

,   constraint pk_smcustomergroup               primary key (shippingmethodid,customergroupid)
,   constraint fk_shippingmethodcustomergroup   foreign key (shippingmethodid)
        references shippingmethod                   (shippingmethodid)
,   constraint fk_shippingmethodcustomergr_1    foreign key (customergroupid)
        references customergroup                    (customergroupid)
)
GO
CREATE INDEX i_smcustomergroup_group ON shippingmethodcustomergroup (customergroupid)
GO
