-- #203
CREATE TABLE widgettype (
     widgettypeid         integer  not null
,    widgetgroupid        integer  not null
,    featureid            integer  null
,    template             varchar(255) null
,    iscustomizable       bool  not null
,    action               varchar(255)  null
,    icon                 varchar(255)  null

,   constraint pk_widgettype                    primary key (widgettypeid)
,   constraint fk_widgettype_feature            foreign key (featureid)
        references feature                          (featureid)
,   constraint fk_widgettype_class              foreign key (widgettypeid)
        references class                            (classid)
,   constraint fk_widgettype_widgetgroup        foreign key (widgetgroupid)
        references widgetgroup                      (widgetgroupid)
)
GO
CREATE INDEX i_widgettype_feature ON widgettype (featureid)
GO
CREATE INDEX i_widget_group ON widgettype (widgetgroupid)
GO
