-- #104
CREATE TABLE creditcheckagencyconfig (
    creditcheckagencyconfigid int           not null
,   creditcheckagencyid  int           not null
,   isactive             bit           not null
,   scorelimit           float         null
,   repeatafterdays      int           null
,   ispositiveonerror    bit           not null

,   constraint pk_creditcheckagencyconfig       primary key (creditcheckagencyconfigid)
,   constraint fk_creditcheckagencyconfig_obj   foreign key (creditcheckagencyconfigid)
        references object                           (objectid)
,   constraint fk_creditcheckagencyconfig_cre   foreign key (creditcheckagencyid)
        references creditcheckagency                (creditcheckagencyid)
)
GO
CREATE INDEX i_creditcheckagency_agency ON creditcheckagencyconfig (creditcheckagencyid)
GO
