-- #103
CREATE TABLE creditcheckagency (
     creditcheckagencyid  integer  not null
,    creditcheckproviderid integer  not null
,    configclassid        integer  null
,    name                 varchar(255)  null
,    checkscompaniesonly  bool  not null
,    scorecard            varchar(511)  null

,   constraint pk_creditcheckagency             primary key (creditcheckagencyid)
,   constraint fk_creditcheckagency_object      foreign key (creditcheckagencyid)
        references object                           (objectid)
,   constraint fk_creditcheckagency_creditche   foreign key (creditcheckproviderid)
        references creditcheckprovider              (creditcheckproviderid)
,   constraint fk_creditcheckagency_class       foreign key (configclassid)
        references class                            (classid)
)
GO
CREATE INDEX i_ccagency_providerid ON creditcheckagency (creditcheckproviderid)
GO
CREATE INDEX i_ccagency_configclassid ON creditcheckagency (configclassid)
GO
