-- #104
CREATE TABLE creditcheckagencyconfig (
     creditcheckagencyconfigid integer  not null
,    creditcheckagencyid  integer  not null
,    isactive             bool  not null
,    scorelimit           double  null
,    repeatafterdays      integer  null
,    ispositiveonerror    bool  not null

,   constraint pk_creditcheckagencyconfig       primary key (creditcheckagencyconfigid)
,   constraint fk_creditcheckagencyconfig_obj   foreign key (creditcheckagencyconfigid)
        references object                           (objectid)
,   constraint fk_creditcheckagencyconfig_cre   foreign key (creditcheckagencyid)
        references creditcheckagency                (creditcheckagencyid)
)
GO
CREATE INDEX i_creditcheckagency_agency ON creditcheckagencyconfig (creditcheckagencyid)
GO
