-- #102
CREATE TABLE shippingfulfillmenttype (
    shippingfulfillmenttypeid int           not null
,   sizeunitid           int           not null
,   weightunitid         int           not null
,   methodclassid        int           not null
,   shippingtransactionclassid int           not null
,   shippinglabelclassid int           not null
,   canbatchaction       bit           not null
,   integrationtype      varchar(20)   not null
,   logging              bit           not null
,   webserviceurl        varchar(255)  null
,   webservicetesturl    varchar(255)  null
,   adminurl             varchar(255)  null
,   admintesturl         varchar(255)  null
,   registrationurl      varchar(255)  null
,   exportdriver         varchar(255)  null
,   importhandler        varchar(255)  null
,   exportfilename       varchar(50)   null

,   constraint pk_shippingfulfillmenttype       primary key (shippingfulfillmenttypeid)
,   constraint fk_shippingfulfillmenttype_obj   foreign key (shippingfulfillmenttypeid)
        references object                           (objectid)
,   constraint fk_shippingfulfillmenttype_uni   foreign key (sizeunitid)
        references unitofmeasurement                (unitid)
,   constraint fk_shippingfulfillmenttype__1    foreign key (weightunitid)
        references unitofmeasurement                (unitid)
)
GO
CREATE INDEX w_sizeunitid ON shippingfulfillmenttype (sizeunitid)
GO
CREATE INDEX w_weightunitid ON shippingfulfillmenttype (weightunitid)
GO
