-- #103
CREATE TABLE shippingfulfillmentmethod (
     shippingfulfillmentmethodid integer  not null
,    shippingfulfillmenttypeid integer  null
,    isintestmode         bool  not null
,    webserviceusername   varchar(32)  null
,    webservicepassword   varchar(32)  null
,    autogeneratelabels   bool  not null
,    shopid               integer  not null

,   constraint pk_shippingfulfillmentmethod     primary key (shippingfulfillmentmethodid)
,   constraint fk_shippingfulfillmentmethod_o   foreign key (shippingfulfillmentmethodid)
        references object                           (objectid)
,   constraint fk_shippingfulfillmentmethod_s   foreign key (shippingfulfillmenttypeid)
        references shippingfulfillmenttype          (shippingfulfillmenttypeid)
,   constraint fk_shippingffmethod_shop         foreign key (shopid)
        references shop                             (shopid)
)
GO
CREATE INDEX i_shippingfulfillmenttypeid ON shippingfulfillmentmethod (shippingfulfillmenttypeid)
GO
CREATE INDEX i_shopid ON shippingfulfillmentmethod (shopid)
GO
