-- #103
CREATE TABLE blogpost (
    blogpostid           int           not null
,   userid               int           null
,   forumid              int           not null
,   isclosed             bit           not null

,   constraint pk_blogpost                      primary key (blogpostid)
,   constraint fk_blogpost_contentobject        foreign key (blogpostid)
        references contentobject                    (contentobjectid)
,   constraint fk_blogpost_users                foreign key (userid)
        references users                            (userid)
,   constraint fk_blogpost_forum                foreign key (forumid)
        references forum                            (forumid)
)
GO
CREATE INDEX i_blogpost_user ON blogpost (userid)
GO
CREATE INDEX i_blogpost_blog ON blogpost (forumid)
GO
