-- #102
CREATE TABLE meinpaketcategory (
    meinpaketcategoryid  integer      NOT NULL PRIMARY KEY AUTOINCREMENT
,   meinpaketsiteid      integer      NULL
,   externalcategoryid   text         NOT NULL
,   parentcategoryid     text         NULL
,   name                 text         NOT NULL
,   shortdescription     text         NULL
,   categorylevel        integer      NOT NULL
,   isleaf               integer      NOT NULL
,   constraint fk_meinpaketcategory_object      foreign key (meinpaketcategoryid)
        references object                           (objectid)
,   constraint fk_meinpaketcategory_meinpaket   foreign key (meinpaketsiteid)
        references meinpaketsite                    (meinpaketsiteid)
)
GO
CREATE INDEX i_meinpaketsiteid ON meinpaketcategory (meinpaketsiteid)
GO
CREATE INDEX i_externalcategoryid ON meinpaketcategory (externalcategoryid)
GO
CREATE INDEX i_parentcategoryid ON meinpaketcategory (parentcategoryid, meinpaketsiteid)
GO
CREATE INDEX i_categorylevel ON meinpaketcategory (categorylevel)
GO
