-- #202
CREATE TABLE affiliateproductmap (
     affiliateproductmapid integer  not null AUTO_INCREMENT
,    affiliateproductid   integer  not null
,    subshopproductid     integer  null
,    subshopid            integer  not null

,   constraint pk_affiliateproductmap           primary key (affiliateproductmapid)
,   constraint fk_affiliateproductmap_shop      foreign key (subshopid)
        references shop                             (shopid)
,   constraint fk_affiliateproductmap_product   foreign key (affiliateproductid)
        references product                          (productid)
,   constraint fk_affiliateproductmap_prod_1    foreign key (subshopproductid)
        references product                          (productid)
)
GO
CREATE INDEX i_subshopid ON affiliateproductmap (subshopid)
GO
CREATE INDEX i_subshopproductid ON affiliateproductmap (subshopproductid)
GO
CREATE INDEX i_affiliateproductid ON affiliateproductmap (affiliateproductid)
GO
