IF OBJECT_ID('n_NewsletterAddressee') IS NOT NULL
    DROP PROCEDURE n_NewsletterAddressee
GO
CREATE PROCEDURE n_NewsletterAddressee AS BEGIN
    declare @NewsletterAddresseeid int
    declare @RowCounter int

    while (@NewsletterAddresseeid IS NULL) begin
        update newsletteraddressee_nextid set id = id + 1, @NewsletterAddresseeid = id + 1
        select @RowCounter = @@rowcount
        if (@RowCounter = 0) BEGIN
            insert newsletteraddressee_nextid (id) values (1)
            select @NewsletterAddresseeid = 1
        end
        if (@RowCounter > 1) BEGIN
            delete newsletteraddressee_nextid
            insert newsletteraddressee_nextid (id) values (1)
            select @NewsletterAddresseeid = 1
        end
        if exists ( select newsletteraddresseeid from newsletteraddressee where newsletteraddresseeid = @NewsletterAddresseeid)
            select @NewsletterAddresseeid = null
    end

    SELECT @NewsletterAddresseeid
    RETURN 0
END
GO
