-- #102
CREATE TABLE newslettercampaign (
    newslettercampaignid int           not null
,   siteid               int           not null
,   isvisible            bit           not null
,   langid               int           null
,   name                 nvarchar(255)  not null
,   subject              nvarchar(255)  null
,   sendername           nvarchar(255)  null
,   senderemail          varchar(255)  null
,   testemail            varchar(255)  null

,   constraint pk_newslettercampaign            primary key (newslettercampaignid)
,   constraint fk_newslettercampaign_object     foreign key (newslettercampaignid)
        references object                           (objectid)
,   constraint fk_newslettercampaign_language   foreign key (langid)
        references language                         (languageid)
,   constraint fk_newslettercampaign_site       foreign key (siteid)
        references site                             (siteid)
)
GO
CREATE INDEX i_newslettercampaign_site ON newslettercampaign (siteid)
GO
