-- #102
CREATE TABLE newslettercampaign (
     newslettercampaignid integer  not null
,    siteid               integer  not null
,    isvisible            bool  not null
,    langid               integer  null
,    name                 varchar(255)  not null
,    subject              varchar(255)  null
,    sendername           varchar(255)  null
,    senderemail          varchar(255)  null
,    testemail            varchar(255)  null

,   constraint pk_newslettercampaign            primary key (newslettercampaignid)
,   constraint fk_newslettercampaign_object     foreign key (newslettercampaignid)
        references object                           (objectid)
,   constraint fk_newslettercampaign_language   foreign key (langid)
        references language                         (languageid)
,   constraint fk_newslettercampaign_site       foreign key (siteid)
        references site                             (siteid)
)
GO
CREATE INDEX i_newslettercampaign_site ON newslettercampaign (siteid)
GO
