-- #104
CREATE TABLE newsletterrecipient (
     newsletterrecipientid integer  not null AUTO_INCREMENT
,    newsletterid         integer  not null
,    wassent              bool  not null
,    name                 varchar(255)  not null
,    email                varchar(255)  not null
,    sentdate             datetime  null
,    result               tinyint  null

,   constraint pk_newsletterrecipient           primary key (newsletterrecipientid)
,   constraint fk_newsletterrecipient_newslet   foreign key (newsletterid)
        references newsletter                       (newsletterid)
)
GO
CREATE INDEX i_recipient_newsletter ON newsletterrecipient (newsletterid)
GO
