-- #203
CREATE TABLE attribute (
    attributeid          int           not null
,   attributeclassid     int           not null
,   type                 varchar(30)   not null
,   length               int           null
,   package              varchar(255)  not null
,   isarray              bit           not null
,   isreadonly           bit           not null
,   isexportable         bit           not null
,   iscacheable          bit           not null
,   isobject             bit           not null
,   ismandatory          bit           not null
,   isuserdefined        bit           not null
,   ishtml               bit           not null
,   isvisible            bit           not null
,   exportlevel          varchar(255)  null
,   defaultvalue         varchar(255)  null

,   constraint pk_attribute                     primary key (attributeid)
,   constraint fk_attribute_object              foreign key (attributeid)
        references object                           (objectid)
,   constraint fk_attribute_class               foreign key (attributeclassid)
        references class                            (classid)
)
GO
CREATE INDEX i_attributeclass ON attribute (attributeclassid)
GO
