#-----BEGIN PGP SIGNATURE-----
#Version: GnuPG v1.2.6 (GNU/Linux)
#Comment: 2008-11-24 ePages Software GmbH (release key) <rnd@epages.de>
#
#iD8DBQBOHbi/l5jMabHSgyARAhy7AJ9MLp9a8xG6VOwpJau7L4A2cSFNXACgxIpG
#L/ZA5oCW/0gRtv+9ACdufEM=
#=qclw
#-----END PGP SIGNATURE-----
#line 1
use strict;
#use SOAP::Lite +trace => 'debug',
use SOAP::Lite
  on_fault => sub {
    my $soap = shift;
    my $res = shift;
    ref $res ? die "SOAP FAULT: " . $res->faultstring . "\n"
             : die "TRANSPORT ERROR: " . $soap->transport->status . "\n";
    return $res;
  },
;

my $soap = SOAP::Lite
    ->uri('urn://epages.de/WebService/HelloService/2004/04')
    ->proxy('http://localhost:8080/epages/Site.soap')
    ->xmlschema('2001');

my $hello = $soap->hello->result;
print "Hello=$hello\n";

my $time = $soap->serverTime->result;
print "ServerTime=$time\n";
